<ion-card
  *ngFor="let interview of interviews"
  class="{{ interview.RequestStatusName | lowercase }}"
>
  <ion-item>
    <ion-fab left style="left:18px;font-weight: bold;font-size:20px">
      <ion-icon
        padding-left
        padding-right
        (click)="onToggleOptions($event, interview)"
        name="md-more"
      ></ion-icon>
    </ion-fab>
    <h2 style="display:inline-block">
      {{ interview.GehaName + " - " + interview.DepartmentName }}
    </h2>
  </ion-item>

  <ion-card-content>
    <p>
      {{ interview.Note }}
    </p>
    <ion-row>
      <ion-col size="12">
        <ion-icon name="md-person"></ion-icon>
        <ion-label icon-left clear small>
          {{ interview.Name }}
        </ion-label>
      </ion-col>

      <ion-col size="6">
        <ion-icon name="md-calendar"></ion-icon>
        <ion-label icon-left clear small>
          {{ interview.Date | date: "dd/MM/yyyy" }}
        </ion-label>
      </ion-col>
      <ion-col size="6">
        <ion-icon name="md-time"></ion-icon>
        <ion-label icon-left clear small>
          {{ this.helperService.formatTimeSpan(interview.AttendanceTime) }}
        </ion-label>
      </ion-col>
      <ion-col size="6">
        <ion-icon name="md-briefcase"></ion-icon>
        <ion-label icon-left clear small>
          {{ interview.JobName }}
        </ion-label>
      </ion-col>

      <ion-col size="6">
        <ion-icon name="ios-people"></ion-icon>
        <ion-label icon-left clear small>
          {{ interview.AttendeesNumber }}
        </ion-label>
      </ion-col>
      <ion-col size="12">
        <ion-icon name="md-pin"></ion-icon>
        <ion-label icon-left clear small>
          {{ interview.LocationDesc }}
        </ion-label>
      </ion-col>
      <ion-col size="6">
        <ion-icon name="md-notifications"></ion-icon>
        <ion-label icon-left clear small>
          {{ interview.RemindarName }}
        </ion-label>
      </ion-col>
      <ion-col size="6">
        <ion-icon name="md-repeat"></ion-icon>
        <ion-label icon-left clear small>
          {{ interview.RepetitionName }}
        </ion-label>
      </ion-col>
    </ion-row>
  </ion-card-content>

  <ion-row text-center class="actions">
    <ion-col
      *ngIf="
        interview.RequestStatusId == 2 ||
        interview.RequestStatusId == 3 ||
        interview.RequestStatusId == 4
      "
      (click)="onChangeStatus(interview.Id, 5, interview.DepartmentId)"
    >
      <ion-button icon-left clear small class="done" color="transparent">
        <ion-icon name="md-radio-button-on"></ion-icon>
        <div>{{ "HomePage.done" | translate }}</div>
      </ion-button>
    </ion-col>
    <ion-col
      *ngIf="
        interview.RequestStatusId == 1 ||
        interview.RequestStatusId == 3 ||
        interview.RequestStatusId == 4 ||
        interview.RequestStatusId == 6
      "
      (click)="onChangeStatus(interview.Id, 2, interview.DepartmentId)"
    >
      <ion-button icon-left clear small class="accept" color="transparent">
        <ion-icon name="md-radio-button-on"></ion-icon>
        <div>{{ "HomePage.accept" | translate }}</div>
      </ion-button>
    </ion-col>
    <ion-col
      *ngIf="
        interview.RequestStatusId == 1 ||
        interview.RequestStatusId == 2 ||
        interview.RequestStatusId == 3 ||
        interview.RequestStatusId == 6
      "
      (click)="onChangeStatus(interview.Id, 4, interview.DepartmentId)"
    >
      <ion-button icon-left clear small class="reject" color="transparent">
        <ion-icon name="md-close-circle"></ion-icon>
        <div>{{ "HomePage.reject" | translate }}</div>
      </ion-button>
    </ion-col>
    <ion-col
      *ngIf="
        interview.RequestStatusId == 1 ||
        interview.RequestStatusId == 2 ||
        interview.RequestStatusId == 4 ||
        interview.RequestStatusId == 6
      "
      (click)="onChangeStatus(interview.Id, 3, interview.DepartmentId)"
    >
      <ion-button icon-left clear small class="delay" color="transparent">
        <ion-icon name="md-time"></ion-icon>
        <div>{{ "HomePage.delay" | translate }}</div>
      </ion-button>
    </ion-col>
  </ion-row>
</ion-card>
<ion-infinite-scroll
  threshold="100px"
  (ionInfinite)="OnLoadData($event)"
  #InterviewInfiniteScroll
>
  <ion-infinite-scroll-content
    loadingSpinner="bubbles"
    loadingText="تحميل المزيد ..."
  >
  </ion-infinite-scroll-content>
</ion-infinite-scroll>
